curl --request GET \
--url https://api.baselayer.com/businesses/{id}/exclusions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/businesses/{id}/exclusions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/businesses/{id}/exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2d110c5b-665b-42fa-ba0c-c3f74f1c57ca",
"name": "Acme Corp",
"address": "123 Main St, City, ST 12345",
"tin": "123456789",
"product_type": "BNK",
"application_date": "2026-06-02",
"opened_on": "2026-07-02",
"closed_on": "2026-08-01",
"closure_status": "WO",
"closure_reason": "WPF",
"owner_first_name": "John",
"owner_last_name": "Doe",
"created_at": "2026-08-31T10:31:07.820990",
"additional_notes": "Customer filed for bankruptcy on 2023-05-15"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Exclusions For Search
Retrieve exclusion records related to a specific business search.
This endpoint returns exclusion records that match the business information from the specified search, such as business name, tax ID, or other identifiers. Results are only available if the caller’s organization has an active consortium membership (granted by submitting exclusion data).
Results are paginated and ordered by creation date (newest first).
Authorizations
Path Parameters
The unique identifier of the business to retrieve exclusions for.
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Query Parameters
Maximum number of exclusion records to return
1 <= x <= 100Number of exclusion records to skip
x >= 0Response
Successful Response
Unique identifier for the exclusion record.
"2d110c5b-665b-42fa-ba0c-c3f74f1c57ca"
Legal name of the business.
"Acme Corp"
Full business address.
"123 Main St, City, ST 12345"
Tax identification number.
"123456789"
Type of financial product.
BNK, CC, WC, LOC, EQF, MCA, PMT, Other Date when application was submitted.
"2026-06-02"
Date when account was opened.
"2026-07-02"
Date when account was closed.
"2026-08-01"
What happened to the money at closure.
WO, SD, CL, PIF Specific cause of closure.
WPF, WIF, WSF, WFU, WBC, WUP, WBK, WCX, CAE, PIF Primary owner's first name.
"John"
Primary owner's last name.
"Doe"
Date and time when the exclusion record was created.
"2026-08-31T10:31:07.820990"
Additional notes about the exclusion.
"Customer filed for bankruptcy on 2023-05-15"